if(NOT LIBOSMOPLUTO_FOUND)
  pkg_check_modules (LIBOSMOPLUTO_PKG libosmopluto)
  find_path(LIBOSMOPLUTO_INCLUDE_DIRS NAMES osmoplutosdr.h
    PATHS
    ${LIBOSMOPLUTO_PKG_INCLUDE_DIRS}
    /usr/include
    /usr/local/include
  )

  find_library(LIBOSMOPLUTO_LIBRARIES NAMES osmoplutosdr
    PATHS
    ${LIBOSMOPLUTO_PKG_LIBRARY_DIRS}
    /usr/lib
    /usr/local/lib
  )

if(LIBOSMOPLUTO_INCLUDE_DIRS AND LIBOSMOPLUTO_LIBRARIES)
  set(LIBOSMOPLUTO_FOUND TRUE CACHE INTERNAL "libosmopluto found")
  message(STATUS "Found libosmopluto: ${LIBOSMOPLUTO_INCLUDE_DIRS}, ${LIBOSMOPLUTO_LIBRARIES}")
else(LIBOSMOPLUTO_INCLUDE_DIRS AND LIBOSMOPLUTO_LIBRARIES)
  set(LIBOSMOPLUTO_FOUND FALSE CACHE INTERNAL "libosmopluto found")
  message(STATUS "libosmopluto not found.")
endif(LIBOSMOPLUTO_INCLUDE_DIRS AND LIBOSMOPLUTO_LIBRARIES)

mark_as_advanced(LIBOSMOPLUTO_LIBRARIES LIBOSMOPLUTO_INCLUDE_DIRS)

endif(NOT LIBOSMOPLUTO_FOUND)
